Error
A valid request URL is required to generate request examples{
"message": "<string>"
}{
"error": "cannot delete system role"
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"model_requested": "<string>",
"request_type": "<string>"
}
}RBAC
Delete role (deprecated path)
deprecated
Deletes a custom role. Built-in system roles cannot be deleted and return 403.
DELETE
/
api
/
roles
/
{role_id}
Error
A valid request URL is required to generate request examples{
"message": "<string>"
}{
"error": "cannot delete system role"
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"model_requested": "<string>",
"request_type": "<string>"
}
}This path is deprecated and will be removed in the following major release.
Use
/api/governance/rbac/roles/{role_id} instead.This endpoint is available in Bifrost Enterprise only.
Authorizations
Management API authentication for /api/* endpoints. Use the Authorization header with Bearer <API key>.
Virtual keys, dashboard/user/session tokens, and x-api-key headers are not supported on management APIs.
Path Parameters
Response
Role deleted
Was this page helpful?
⌘I

